openssl: Update crypter API to OpenSSL 1.1.0
authorTobias Brunner <tobias@strongswan.org>
Mon, 27 Jun 2016 09:17:56 +0000 (11:17 +0200)
committerTobias Brunner <tobias@strongswan.org>
Wed, 29 Jun 2016 09:09:37 +0000 (11:09 +0200)
commit1b36fbedf5707ea4318ae9216d3c65aebe1917da
tree8d3d94e36c0745dbd25b34b35769db5eaf69abcf
parentfaa904fb0baa1bd805432634f921fda6ce96b284
openssl: Update crypter API to OpenSSL 1.1.0

EVP_CIPHER and EVP_CIPHER_CTX are now opaque types, the getters already
existed before.
src/libstrongswan/plugins/openssl/openssl_crypter.c